//
//  KeyboardButtonFactory.swift
//  fdsahkjlfdsa
//
//  Created by Michael Gazzola on 9/15/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class KeyboardButtonFactory: NSObject {
    class func generateButton(#title: String) -> UIButton {
        var button = UIButton.buttonWithType(.System) as UIButton
        button.setTitle(title, forState: .Normal)
        button.sizeToFit()
        button.setTranslatesAutoresizingMaskIntoConstraints(false)
        
        button.titleLabel!.font = UIFont.systemFontOfSize(32)
        button.backgroundColor = UIColor(white: 1.0, alpha: 0.25)
        button.layer.cornerRadius = 5
        
        return button
    }
}
